Package org.apache.tomcat.util.http.fileupload.impl

# Class FileSizeLimitExceededException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
org.apache.tomcat.util.http.fileupload.FileUploadException
org.apache.tomcat.util.http.fileupload.impl.SizeException
org.apache.tomcat.util.http.fileupload.impl.FileSizeLimitExceededException

All Implemented Interfaces:
  `Serializable`

public class FileSizeLimitExceededException extends SizeException
Thrown to indicate that A files size exceeds the configured maximum.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`FileSizeLimitExceededException(String message, long actual, long permitted)`
Constructs a `SizeExceededException` with the specified detail message, and actual and permitted sizes.

## Method Summary

Modifier and Type
Method
Description
`String`
`getFieldName()`
Returns the field name of the item, which caused the exception.
`String`
`getFileName()`
Returns the file name of the item, which caused the exception.
`void`
`setFieldName(String pFieldName)`
Sets the field name of the item, which caused the exception.
`void`
`setFileName(String pFileName)`
Sets the file name of the item, which caused the exception.

### Methods inherited from class org.apache.tomcat.util.http.fileupload.impl.SizeException

`getActualSize, getPermittedSize`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FileSizeLimitExceededException

public FileSizeLimitExceededException(String message, long actual, long permitted)
Constructs a `SizeExceededException` with the specified detail message, and actual and permitted sizes.

Parameters:
  `message` - The detail message.
  `actual` - The actual request size.
  `permitted` - The maximum permitted request size.

## Method Details

### getFileName

public String getFileName()
Returns the file name of the item, which caused the exception.

Returns:
  File name, if known, or null.

### setFileName

public void setFileName(String pFileName)
Sets the file name of the item, which caused the exception.

Parameters:
  `pFileName` - the file name of the item, which caused the exception.

### getFieldName

public String getFieldName()
Returns the field name of the item, which caused the exception.

Returns:
  Field name, if known, or null.

### setFieldName

public void setFieldName(String pFieldName)
Sets the field name of the item, which caused the exception.

Parameters:
  `pFieldName` - the field name of the item, which caused the exception.